Page MenuHomePhabricator

Remove the deprecated hooks UserCreateForm and UserLoginForm
Closed, ResolvedPublic

Description

These were deprecated in 1.27, and scrapping them will make T85853: Convert MW core login/create account pages to OOUI (Special:UserLogin / Special:CreateAccount) much easier amongst other things.

There are a fair number of extensions that haven't updated for AuthManager yet (see T110291); this will break quite a few of them, but that's the responsibility of their maintainers.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2018, 3:41 PM

There are a fair number of extensions that haven't updated for AuthManager yet (see T110291)

23 tasks currently listed in https://phabricator.wikimedia.org/maniphest/query/UYtRh4p_WWGk/#R , should probably add another heads-up comment to all of those tasks, once this very task has been resolved.

Aklapper renamed this task from Drop the deprecated hooks UserCreateForm and UserLoginForm to Remove the deprecated hooks UserCreateForm and UserLoginForm.Jun 21 2018, 8:06 AM

Change 441513 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] [WIP] Drop the hooks UserCreateForm and UserLoginForm, deprecated in 1.27

https://gerrit.wikimedia.org/r/441513

Vvjjkkii renamed this task from Remove the deprecated hooks UserCreateForm and UserLoginForm to 8odaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.Jul 3 2018, 2:06 AM

Change 441513 merged by jenkins-bot:
[mediawiki/core@master] Drop six authentication-related hooks, deprecated in 1.27

https://gerrit.wikimedia.org/r/441513

Jdforrester-WMF closed this task as Resolved.Oct 30 2018, 4:35 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF removed a project: Patch-For-Review.